Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.crs.configuration
Enum AbstractCRSProvider.SupportedProjectionParameters

    java.lang.Object
      java.lang.Enum<AbstractCRSProvider.SupportedProjectionParameters>
          org.deegree.crs.configuration.AbstractCRSProvider.SupportedProjectionParameters

All Implemented Interfaces:
  Serializable, Comparable<AbstractCRSProvider.SupportedProjectionParameters>

Enclosing class:
  AbstractCRSProvider<T>

    public static enum AbstractCRSProvider.SupportedProjectionParameters

extends Enum<AbstractCRSProvider.SupportedProjectionParameters>

The `SupportedProjectionParameters` enumeration defines currently supported projection parameters

Version:
  $Revision: 23328 $, $Date: 2010-03-30 17:40:30 +0200 (Di, 30. Mär 2010) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Enum Constant Summary
`FALSE_EASTING` The false easting of the projection.
`FALSE_NORTHING` The false northing of the projection.
`FIRST_PARALLEL_LATITUDE` The first parallel latitude of conic projections.
`LATITUDE_OF_NATURAL_ORIGIN` The latitude of natural origin of a given projection, aka. projectionLatitude, central-latitude or latitude-of-origin, in Snyder referenced as phi_1 for azimuthal, phi_0 for other projections.
`LONGITUDE_OF_NATURAL_ORIGIN` The longitude of natural origin of a given projection, aka. projectionLongitude, projection-meridian, central-meridian, in Snyder referenced as lambda_0
`NOT_SUPPORTED` A not supported projection parameter.
`SCALE_AT_NATURAL_ORIGIN` The scale at the natural origin of the projection.
`SECOND_PARALLEL_LATITUDE` The second parallel latitude of conic projections.
`TRUE_SCALE_LATITUDE` The latitude which the scale is 1 of a stereographic azimuthal projection.

Method Summary
`static AbstractCRSProvider.SupportedProjectionParameters` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractCRSProvider.SupportedProjectionParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LATITUDE_OF_NATURAL_ORIGIN

    public static final AbstractCRSProvider.SupportedProjectionParameters LATITUDE_OF_NATURAL_ORIGIN

  The latitude of natural origin of a given projection, aka. projectionLatitude, central-latitude or latitude-of-origin, in Snyder referenced as phi_1 for azimuthal, phi_0 for other projections.

### LONGITUDE_OF_NATURAL_ORIGIN

    public static final AbstractCRSProvider.SupportedProjectionParameters LONGITUDE_OF_NATURAL_ORIGIN

  The longitude of natural origin of a given projection, aka. projectionLongitude, projection-meridian, central-meridian, in Snyder referenced as lambda_0

### FALSE_EASTING

    public static final AbstractCRSProvider.SupportedProjectionParameters FALSE_EASTING

  The false easting of the projection.

### FALSE_NORTHING

    public static final AbstractCRSProvider.SupportedProjectionParameters FALSE_NORTHING

  The false northing of the projection.

### SCALE_AT_NATURAL_ORIGIN

    public static final AbstractCRSProvider.SupportedProjectionParameters SCALE_AT_NATURAL_ORIGIN

  The scale at the natural origin of the projection.

### TRUE_SCALE_LATITUDE

    public static final AbstractCRSProvider.SupportedProjectionParameters TRUE_SCALE_LATITUDE

  The latitude which the scale is 1 of a stereographic azimuthal projection.

### FIRST_PARALLEL_LATITUDE

    public static final AbstractCRSProvider.SupportedProjectionParameters FIRST_PARALLEL_LATITUDE

  The first parallel latitude of conic projections.

### SECOND_PARALLEL_LATITUDE

    public static final AbstractCRSProvider.SupportedProjectionParameters SECOND_PARALLEL_LATITUDE

  The second parallel latitude of conic projections.

### NOT_SUPPORTED

    public static final AbstractCRSProvider.SupportedProjectionParameters NOT_SUPPORTED

  A not supported projection parameter.

Method Detail

### values

    public static final AbstractCRSProvider.SupportedProjectionParameters[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AbstractCRSProvider.SupportedProjectionParameters c : AbstractCRSProvider.SupportedProjectionParameters.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AbstractCRSProvider.SupportedProjectionParameters valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org